//
//  TimeUnit.swift
//  SwiftMoment
//
//  Created by Adrian on 19/01/15.
//  Copyright (c) 2015 Adrian Kosmaczewski. All rights reserved.
//

/// Represents different time units.
///
/// - Years:    Represents year units.
/// - Quarters: Represents quarter units.
/// - Months:   Represents month units.
/// - Weeks:    Represents week units.
/// - Days:     Represents day units.
/// - Hours:    Represents hour units.
/// - Minutes:  Represents minute units.
/// - Seconds:  Represents second units.
public enum TimeUnit: String {
    case Years = "y"
    case Quarters = "Q"
    case Months = "M"
    case Weeks = "w"
    case Days = "d"
    case Hours = "H"
    case Minutes = "m"
    case Seconds = "s"
}
